<!-- Inherits from layout.html -->
{% extends "layout.html" %}
<!-- The block content replace the one encapsulated in  layout.html -->
{% block content %}
<div class="row">
<div class="col-md-6 offset-md-3">
<form name="frmPredict" action="/predict" method="post" novalidate>
    <fieldset class="form-group">
        <legend>{{title}}</legend>
        {{ form.hidden_tag() }}
        <p>
            {{ form.sepal_l.label }}<br>
            {{ form.sepal_l(class_='form-control') }}
            {% for error in form.sepal_l.errors %}
            <span class="error-message">{{ error }}</span>
            {% endfor %}
        </p>
        <p>
            {{ form.sepal_w.label }}<br>
            {{ form.sepal_w(class_='form-control') }}
            {% for error in form.sepal_w.errors %}
            <span class="error-message">{{ error }}</span>
            {% endfor %}
        </p>
        <p>
            {{ form.petal_l.label }}<br>
            {{ form.petal_l(class_='form-control') }}
            {% for error in form.petal_l.errors %}
            <span class="error-message">{{ error }}</span>
            {% endfor %}
        </p>
        <p>
            {{ form.petal_w.label }}<br>
            {{ form.petal_w(class_='form-control') }}
            {% for error in form.petal_w.errors %}
            <span class="error-message">{{ error }}</span>
            {% endfor %}
        </p>
        <p>
            {{ form.submit(class_='form-control bg-primary text-white') }}
        </p>
    </fieldset>
</form>
</div>
</div>
<hr>
<table class="table table-striped">
    <thead>
       <tr>
          <th>Sepal Length</th>
          <th>Sepal Width</th>
          <th>Petal Length</th>
          <th>Petal Width</th>
          <th>Prediction</th>
          <th>Timestamp</th>
          <th></th>
       </tr>
    </thead>
    
    <tbody>
    {% for entry in entries %}
        <tr>
        <td>{{ entry.sepal_length}}</td>
        <td>{{ entry.sepal_width }}</td>
        <td>{{ entry.petal_length}}</td>
        <td>{{ entry.petal_width }}</td>
        <td>{{ iris_type[entry.prediction|int] }}</td>
        <td>{{ entry.predicted_on.strftime("%d %b %y %H:%M") }}</td>
<td>
    <form name="frmRemoveEntry" action="/remove" method="post" novalidate>
    <input type="hidden" name="id" value="{{entry.id}}">
    <input type="submit" class="form-control btn-danger" value="Remove">
    </form>
</td>
        </tr>
    {% endfor %}
    </tbody>
</table>
 <hr>
 <br>
 <br>
 <br>
{% endblock %}